Bug 1195043 (kf5-kde-connect) - kf5 kde-connect support
Summary: kf5 kde-connect support
Keywords:
Status: CLOSED ERRATA
Alias: kf5-kde-connect
Product: Fedora
Classification: Fedora
Component: kde-connect
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-02-22 12:56 UTC by Rex Dieter
Modified: 2015-07-15 16:16 UTC (History)
9 users (show)

Fixed In Version: kde-connect-0.8-3.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 00:10:16 UTC


Attachments (Terms of Use)

Description Rex Dieter 2015-02-22 12:56:49 UTC
Subject says it all, would be nice to have a kf5 kde-connect port for f22/Plasma5

Comment 1 Lukáš Tinkl 2015-02-24 15:22:08 UTC
We could package a git snapshot from the frameworks branch, I've been using it for quite some time w/o any problems.

Comment 2 Rex Dieter 2015-03-06 16:37:07 UTC
OK, took a closer look too, it's a little tricky.  If we want (close-to) full functionality, we'll want to take a frameworks branch snapshot *and* build kio/ from released (kde4) version (so kioslave is usable in kde4 dolphin/konqueror)

Comment 3 Helio Chissini de Castro 2015-04-30 14:19:18 UTC
I; m taking care on this one an will update status here.

Comment 4 Fedora Update System 2015-05-01 16:23:11 UTC
kde-connect-0.8-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kde-connect-0.8-3.fc22

Comment 5 Fedora Update System 2015-05-02 18:10:26 UTC
Package kde-connect-0.8-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-connect-0.8-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7451/kde-connect-0.8-3.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-11 00:10:16 UTC
kde-connect-0.8-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 ben 2015-07-15 13:58:58 UTC
Built from source http://download.kde.org/unstable/kdeconnect/0.8/src/kdeconnect-kde-0.8.tar.xz.mirrorlist and works as it should (but doesn't with yum fc22 package)

Comment 8 ben 2015-07-15 14:01:31 UTC
(In reply to ben from comment #7)
> Built from source
> http://download.kde.org/unstable/kdeconnect/0.8/src/kdeconnect-kde-0.8.tar.
> xz.mirrorlist and works as it should (but doesn't with yum fc22 package)

...not tried the testing repo!

Comment 9 Rex Dieter 2015-07-15 16:16:41 UTC
stock upstream version doesn't support kf5, that's why we packaged a frameworks snapshot.


Note You need to log in before you can comment on or make changes to this bug.